TTFeatureInfoHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class TTFeatureInfoHandler

    java.lang.Object
      com.bbn.openmap.layer.vpf.TTFeatureInfoHandler

All Implemented Interfaces:
  VPFFeatureInfoHandler

    public class TTFeatureInfoHandler

extends java.lang.Object
implements VPFFeatureInfoHandler

A feature info handler that displays attribute information as an html formatted tooltip.

Author:
  dietrick

Constructor Summary
`TTFeatureInfoHandler()`

Method Summary
`boolean` | `isHighlightable(OMGraphic omg)` Check to see if the omg should react to mouse movement events.
`boolean` | `shouldPaintHighlight(OMGraphic omg)` Check to see if the OMGraphic should be specially painted in a mouse over.
`void` | `updateInfoForOMGraphic(OMGraphic omg, FeatureClassInfo fci, java.util.List<java.lang.Object> fcirow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFeatureInfoHandler

    public TTFeatureInfoHandler()

Method Detail

### updateInfoForOMGraphic

    public void updateInfoForOMGraphic(OMGraphic omg,
                                       FeatureClassInfo fci,
                                       java.util.List<java.lang.Object> fcirow)

  Specified by:
    `updateInfoForOMGraphic` in interface `VPFFeatureInfoHandler`

### isHighlightable

    public boolean isHighlightable(OMGraphic omg)

  Description copied from interface: `VPFFeatureInfoHandler`
  Check to see if the omg should react to mouse movement events.

  Specified by:
    `isHighlightable` in interface `VPFFeatureInfoHandler`
  Returns:
    true for tooltips, infoline, highlight actions.

### shouldPaintHighlight

    public boolean shouldPaintHighlight(OMGraphic omg)

  Description copied from interface: `VPFFeatureInfoHandler`
  Check to see if the OMGraphic should be specially painted in a mouse over.

  Specified by:
    `shouldPaintHighlight` in interface `VPFFeatureInfoHandler`
  Returns:
    true if omg should be repainted with its select color.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details